TRANSMISSIONCLI(1)

NAME
transmissioncli - a bittorrent client

SYNOPSIS
transmissioncli -h
transmissioncli -i torrent-file
transmissioncli -s torrent-file
transmissioncli -n sourcefile [-a url] [-c comment] [-r] new-torrent-file
transmissioncli [-b | -B] [-d number | -D] [-er | -ep | -et] [-f script] [-g directory] [-h] [-m | -M] [-p port] [-t] [-u number | -U] [-v] [-w directory] torrent-file

DESCRIPTION
The transmissioncli program is a lightweight, command-line BitTorrent client with scripting capabilities.

The options are as follows:

-a, --announce announce-url
    When creating a new torrent, set its announce URL

-b --blocklist
    Enable peer blocklists. Transmission understands the bluetack blocklist file format. New blocklists can be added by copying them into the config-dir's "blocklists" subdirectory.

-B --no-blocklist
    Disble blocklists.

-c, --comment comment-text
    When creating a new torrent, set its comment field

-d, --downlimit number
    Set the maximum download speed in KB/s

-D, --no-downlimit
    Don't limit the download speed

-er --encryption-required
    Encrypt all peer connections.

-ep --encryption-preferred
    Prefer encrypted peer connections.

-et --encryption-tolerated
    Prefer unencrypted peer connections.

-f, --finish script
    Set a script to run when the torrent finishes

-g, --config-dir directory
    Where to look for configuration files. This can be used to swap between using the cli, daemon, gtk, and qt clients. See http://trac.transmissionbt.com/wiki/ConfigFiles for more information.

-h, --help
    Prints a short usage summary.

-i, --info
    Shows torrent details and exit

-m, --portmap
    Enable portmapping via NAT-PMP or UPnP

-M, --no-portmap
    Disable portmapping

-n, --new sourcefile
    Create torrent from the specified file or directory

-p, --port port
    Set the port to listen for incoming peers. (Default: 51413)

-r, --private
    When creating a new torrent, set its 'private' flag

-s, --scrape
    Print the current number of seeders and leechers for the specified torrent

-t, --tos
    Set the peer socket TOS for local router-based traffic shaping.

-u, --uplimit number
    Set the maximum upload speed in KB/s

-U, --no-uplimit
    Don't limit the upload speed

-v, --verify
    Verify the torrent's downloaded data.

-w, --download-dir directory
    Where to save downloaded data.

SIGNALS
In addition to these options, sending transmissioncli a SIGHUP signal will contact the tracker for more peers.

FILES
~/.config/transmission
    Directory where transmissioncli keeps torrent information for future seeding and resume operations.

AUTHORS
The transmissioncli program was written by -nosplit Eric Petit, Josh Elsasser, Charles Kerr, and Mitchell Livingston.

SEE ALSO
transmission(1), transmission-daemon(1), transmission-remote(1)

http://www.transmissionbt.com/